Package wx :: Class PixelDataBase

[frames | no frames]

## Type PixelDataBase

    object --+
             |
            PixelDataBase

Known Subclasses:
  `AlphaPixelData`, `NativePixelData`

Proxy of C++ PixelDataBase class

Method Summary
| `__init__(self)`
int | `GetHeight(self)`
Point | `GetOrigin(self)`
int | `GetRowStride(self)`
Size | `GetSize(self)`
int | `GetWidth(self)`

Property Summary
| `Height`: See `GetHeight`
| `Origin`: See `GetOrigin`
| `RowStride`: See `GetRowStride`
| `Size`: See `GetSize`
| `thisown`: The membership flag
| `Width`: See `GetWidth`

Property Details

### Height

See `GetHeight`

  Get Method:
    `GetHeight`(self)

### Origin

See `GetOrigin`

  Get Method:
    `GetOrigin`(self)

### RowStride

See `GetRowStride`

  Get Method:
    `GetRowStride`(self)

### Size

See `GetSize`

  Get Method:
    `GetSize`(self)

### thisown

The membership flag

### Width

See `GetWidth`

  Get Method:
    `GetWidth`(self)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:13:38 2007 | http://epydoc.sf.net